%{?mingw_package_header}

%global win32_shared_dir %{_builddir}/mingw32-%{name}-%{version}-%{release}
%global win32_static_dir %{_builddir}/mingw32-%{name}-static-%{version}-%{release}
%global win64_shared_dir %{_builddir}/mingw64-%{name}-%{version}-%{release}
%global win64_static_dir %{_builddir}/mingw64-%{name}-static-%{version}-%{release}

%global pkgname glew

Name:          mingw-%{pkgname}
Version:       2.2.0
Release:       %mkrel 2
Summary:       MinGW Windows GLEW library
License:       BSD and MIT
Group:         Development/Other
BuildArch:     noarch
URL:           https://github.com/nigels-com/glew
Source0:       https://github.com/nigels-com/glew/releases/download/%{pkgname}-%{version}/%{pkgname}-%{version}.tgz
# - Fix TARGET_PDB_FILE not valid for mingw build
# - Install both static and shared libraries
# - Remove glu requirement in pkgconfig file
Patch0:        glew-2.2.0_cmake.patch

BuildRequires: cmake

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc


%description
MinGW Windows GLEW library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows GLEW library

%description -n mingw32-%{pkgname}
MinGW Windows GLEW library.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of MinGW Windows GLEW library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
Static version of MinGW Windows GLEW library.


%package -n mingw32-%{pkgname}-tools
Summary:       Tools for the MinGW Windows GLEW library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-tools
Tools for the MinGW Windows GLEW library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows GLEW library

%description -n mingw64-%{pkgname}
MinGW Windows GLEW library.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of MinGW Windows GLEW library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
Static version of MinGW Windows GLEW library.


%package -n mingw64-%{pkgname}-tools
Summary:       Tools for the MinGW Windows GLEW library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-tools
Tools for the MinGW Windows GLEW library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{pkgname}-%{version}

%build
# ../ because %%mingw_cmake and %%mingw_make work in build_winXX subfolders
%mingw_cmake ../build/cmake
%mingw_make %{?_smp_mflags}


%install
%mingw_make install DESTDIR=%{buildroot}


%files -n mingw32-%{pkgname}
%license LICENSE.txt
%{mingw32_bindir}/glew32.dll
%{mingw32_libdir}/pkgconfig/glew.pc
%{mingw32_includedir}/GL/glew.h
%{mingw32_includedir}/GL/glxew.h
%{mingw32_includedir}/GL/wglew.h
%{mingw32_libdir}/libglew32.dll.a
%{mingw32_libdir}/cmake/glew/

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/libglew32.a

%files -n mingw32-%{pkgname}-tools
%{mingw32_bindir}/glewinfo.exe
%{mingw32_bindir}/visualinfo.exe

%files -n mingw64-%{pkgname}
%doc LICENSE.txt
%{mingw64_bindir}/glew32.dll
%{mingw64_libdir}/pkgconfig/glew.pc
%{mingw64_includedir}/GL/glew.h
%{mingw64_includedir}/GL/glxew.h
%{mingw64_includedir}/GL/wglew.h
%{mingw64_libdir}/libglew32.dll.a
%{mingw64_libdir}/cmake/glew/

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/libglew32.a

%files -n mingw64-%{pkgname}-tools
%{mingw64_bindir}/glewinfo.exe
%{mingw64_bindir}/visualinfo.exe



%changelog
* Thu Mar 24 2022 umeabot <umeabot> 2.2.0-2.mga9
+ Revision: 1824421
- Mageia 9 Mass Rebuild

* Thu Mar 11 2021 daviddavid <daviddavid> 2.2.0-1.mga9
+ Revision: 1701452
- new version: 2.2.0

* Wed Feb 12 2020 umeabot <umeabot> 2.1.0-3.mga8
+ Revision: 1502087
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.1.0-2.mga7
+ Revision: 1279720
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 daviddavid <daviddavid> 2.1.0-1.mga7
+ Revision: 1248019
- new version: 2.1.0
- rename and rediff cmake patch

* Fri Jun 15 2018 daviddavid <daviddavid> 2.0.0-1.mga7
+ Revision: 1237104
- new version: 2.0.0

* Thu Apr 07 2016 tv <tv> 1.13.0-1.mga6
+ Revision: 999140
- new release

* Mon Feb 08 2016 umeabot <umeabot> 1.10.0-6.mga6
+ Revision: 943231
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 750084
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 682439
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.10.0-3.mga4
+ Revision: 536201
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 1.10.0-2.mga4
+ Revision: 483645
- imported package mingw-glew


* Mon Aug 19 2013 Sandro Mani <manisandro@gmail.com> - 1.10.0-2
- Remove glu requirement in pkgconfig file

* Thu Aug 08 2013 Sandro Mani <manisandro@gmail.com> - 1.10.0-1
- Update to 1.10.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 30 2013 Sandro Mani <manisandro@gmail.com> - 1.9.0-5
- Don't strip glew.exe visualinfo.exe on install

* Fri May 17 2013 Sandro Mani <manisandro@gmail.com> - 1.9.0-4
- Pass correct CFLAGS

* Thu May 09 2013 Sandro Mani <manisandro@gmail.com> - 1.9.0-3
- Remove mingw_build_win32/64 macros
- Properly version mingw32-filesystem BuildRequires
- Reword win32/64_dynamic_dir to win32/64_shared_dir

* Thu May 09 2013 Sandro Mani <manisandro@gmail.com> - 1.9.0-2
- Spec updates

* Thu Feb 28 2013 Sandro Mani <manisandro@gmail.com> - 1.9.0-1
- Update to 1.9.0

* Sat Aug 18 2012 Sandro Mani <manisandro@gmail.com> - 1.7.0-1
- Update to 1.7.0
- Enable Win64 build

* Mon May 28 2012 Sandro Mani <manisandro@gmail.com> - 1.6.0-4
- Packaging fixes

* Thu May 24 2012 Sandro Mani <manisandro@gmail.com> - 1.6.0-3
- Packaging fixes

* Thu May 24 2012 Sandro Mani <manisandro@gmail.com> - 1.6.0-2
- Packaging fixes

* Thu May 24 2012 Sandro Mani <manisandro@gmail.com> - 1.6.0-1
- Initial build
